/**
 * Created by kominpyo on 15. 5. 9..
 */

var EffectActionOnce = cc.Node.extend({

    onExit: function() {
        this.act.release();

        this._super();
    },

    ctor: function(act) {
        this._super();

        this.sprite = new cc.Sprite("#Empty.png");
        this.addChild(this.sprite);

        this.act = cc.sequence(
            act,
            cc.callFunc(function() {
                cc.pool.putInPool(this);
            }, this)
        );
        this.act.retain();
    },

    reuse: function() {
        this.visible = true;
        this.sprite.runAction(this.act);
    },
    unuse: function() {
        this.visible = false;
    }
});
EffectActionOnce.extend = cc.Class.extend;