/**
 * Created by kominpyo on 15. 8. 13..
 */

var EffectSpineOnce = cc.Node.extend({

    ctor: function(fileNameJson, fileNameAtlas) {
        this._super();

        this.spine = new sp.SkeletonAnimation(fileNameJson, fileNameAtlas);
        this.addChild(this.spine);

        var _this = this;
        this.spine.setEndListener(function( trackIndex ) {
            cc.pool.putInPool(_this);
        });
    },

    reuse: function() {
        this.visible = true;

        this.spine.setAnimation(0, "animation", false);
    },
    unuse: function() {
        this.visible = false;
    }
});
EffectSpineOnce.extend = cc.Class.extend;