var res = {
    AtlasPlayLayer_png: "res/Atlas/AtlasPlayLayer.png",
    AtlasPlayLayer_plist: "res/Atlas/AtlasPlayLayer.plist",
    AtlasAlias_png: "res/Atlas/AtlasAlias.png",
    AtlasAlias_plist: "res/Atlas/AtlasAlias.plist",

    NumberTime_png: "res/Atlas/NumberTime.png",
    NumberScoreMain_png: "res/Atlas/NumberScoreMain.png",
    NumberScoreEnd_png: "res/Atlas/NumberScoreEnd.png",

    BlendOverlay_fsh: "res/Shaders/BlendOverlay.fsh",
    ColorEffect_fsh: "res/Shaders/ColorEffect1.fsh",
    FixedColor_fsh: "res/Shaders/FixedColor.fsh",
    default_native_vsh: "res/Shaders/default_native.vsh",
    default_vsh: "res/Shaders/default.vsh",
    default_fsh: "res/Shaders/default.fsh",
    lightShader_vsh: "res/Shaders/lightShader.vsh",
    lightShader_fsh: "res/Shaders/lightShader.fsh",
    MaskLight_png: "res/Light/MaskLight.png",

    Stickman_atlas: "res/Spine/Stickman.atlas",
    Stickman_json: "res/Spine/Stickman.json",
    Stickman_png: "res/Spine/Stickman.png",

    Trail_png: "res/Trail.png",

    White4A_png: "res/White4A.png"

};

// 플랫폼 별 리소스.
if( cc.sys.os == cc.sys.OS_IOS ) {
    // 사용중인 파일.
    res.SoundDie = "res_iOS/Sound/die00.wav";
    res.SoundButton = "res_iOS/Sound/ui_button.wav";

    res.SoundClock = "res_iOS/Sound/clock.wav";
    res.SoundDieShout = [];
    res.SoundDieShout[0] = "res_iOS/Sound/dead02.wav";
    res.SoundDieShout[1] = "res_iOS/Sound/dead03.wav";
    res.SoundRun = "res_iOS/Sound/foot.wav";
    res.SoundGetNumber = "res_iOS/Sound/numberGet_00.wav";
    res.SoundGaugeUp = "res_iOS/Sound/numberGet_gauge00.wav";
    res.SoundBall = "res_iOS/Sound/toss_03.wav";

}
else {
    // 사용중인 파일.
    res.SoundDie = "res_Android/Sound/die00.ogg";
    res.SoundButton = "res_Android/Sound/ui_button.ogg";

    res.SoundClock = "res_Android/Sound/clock00.ogg";
    res.SoundDieShout = [];
    res.SoundDieShout[0] = "res_Android/Sound/dead02.ogg";
    res.SoundDieShout[1] = "res_Android/Sound/dead03.ogg";
    res.SoundRun = "res_Android/Sound/foot.ogg";
    res.SoundGetNumber = "res_Android/Sound/numberGet_00.ogg";
    res.SoundGaugeUp = "res_Android/Sound/numberGet_gauge00.ogg";
    res.SoundBall = "res_Android/Sound/toss_03.ogg";


    res.LaunchAndroid_png = "res_Android/LaunchAndroid.png";
}


var g_resources = [];
for (var i in res) {
    //g_resources.push(res[i]);
    if( cc.isArray(res[i]) ) {
        for (var j in res[i] ) {
            g_resources.push(res[i][j]);
        }
    }
    else {
        g_resources.push(res[i]);
    }
}